/* $Id$ */

import com.atlassian.crowd.integration.soap.*
import org.codehaus.grails.plugins.crowd.util.CrowdUtils


class CrowdUtilsTests extends GroovyTestCase {
    void testGetAttributeValues() {
        SOAPPrincipal testPrincipal1= new SOAPPrincipal("testName")
        SOAPAttribute[] testAttributes= new SOAPAttribute[2]
        testAttributes[0]= new SOAPAttribute("attribute2name", "attribute2value")
        testAttributes[1]= new SOAPAttribute("attribute3name", (String[]) ["attribute3value1", "attribute3value2"].toArray())
        testPrincipal1.setAttributes(testAttributes)

        assert CrowdUtils.getAttributeValues(testPrincipal1, "attribute2name") == "attribute2value"
        assert CrowdUtils.getAttributeValues(testPrincipal1, "attribute3name") == (String[]) ["attribute3value1", "attribute3value2"].toArray()
        assert CrowdUtils.getAttributeValues(testPrincipal1, "attribute4name") == null

        SOAPPrincipal testPrincipal2= new SOAPPrincipal("testName")
        assertNull(CrowdUtils.getAttributeValues(testPrincipal2, "attribute1name"))
    }
}